Meta ads with their publish state, newest first; ids= polls the ads a bulk call created
GET
/api/public/v1/meta_adsLiveAnswers from your brand's records now.
Operation id listMetaAds
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/meta_ads" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| ids | query | string | |
| state | query | string | One of queuedpublishingpublishedactivefailed |
| status | query | string | |
| meta_ad_set_id | query | integer | |
| include_external | query | boolean | Default false |
| page | query | integer | Default 1 |
| per_page | query | integer | Default 25 |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| by_state | object | |
| data | array of object | |
| data[].[].campaign_affiliate_id | integer, nullable | |
| data[].[].created_at | string (date-time) | |
| data[].[].error_message | string, nullable | |
| data[].[].external | boolean | |
| data[].[].failed | boolean | |
| data[].[].id | integer | |
| data[].[].last_step | string, nullable | |
| data[].[].meta_ad_id | string, nullable | |
| data[].[].meta_ad_set_id | integer, nullable | |
| data[].[].meta_ad_set_name | string, nullable | |
| data[].[].name | string | |
| data[].[].published | boolean | |
| data[].[].state | string | One of queuedpublishingpublishedactivefailed |
| data[].[].status | string | |
| meta | object | |
| meta.has_more | boolean | |
| meta.page | integer | |
| meta.per_page | integer | |
| meta.total_count | integer | |
| meta.total_pages | integer | |
| success | boolean |
Example
{
"by_state": {},
"data": [
{
"campaign_affiliate_id": 1024,
"created_at": "2026-11-01T15:04:05Z",
"error_message": "string",
"external": true,
"failed": true,
"id": 1024,
"last_step": "string",
"meta_ad_id": "string",
"meta_ad_set_id": 1024,
"meta_ad_set_name": "Example name",
"name": "Example name",
"published": true,
"state": "queued",
"status": "string"
}
],
"meta": {
"has_more": true,
"page": 1,
"per_page": 1,
"total_count": 3,
"total_pages": 1
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.